## ros-noetic-test-osm 0.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(test_osm)

# list catkin dependencies
set(_ROS_PKG_DEPS
    osm_cartography
    geodesy
    geographic_msgs
    route_network)

# Find catkin macros and libraries, also other catkin packages.
find_package(catkin REQUIRED COMPONENTS ${_ROS_PKG_DEPS} rostest)

catkin_package(CATKIN_DEPENDS ${_ROS_PKG_DEPS})

# install some useful files
install(DIRECTORY tests/
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/tests)
install(DIRECTORY rviz/
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/rviz)

=== debian/changelog ===
ros-noetic-test-osm (0.3.0-1buster) buster; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Wed, 02 Jun 2021 23:00:00 -0000

ros-noetic-test-osm (0.2.5-1buster) buster; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Tue, 14 Jan 2020 00:00:00 -0000

ros-noetic-test-osm (0.2.4-1buster) buster; urgency=high

  * Convert to package xml format 2, add rostest dependency
  * Contributors: Bence Magyar

 -- Jack O'Quin <jack.oquin@gmail.com>  Wed, 06 Dec 2017 00:00:00 -0000

ros-noetic-test-osm (0.2.3-1buster) buster; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Sun, 11 Oct 2015 23:00:00 -0000

ros-noetic-test-osm (0.2.2-1buster) buster; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Wed, 07 Oct 2015 23:00:00 -0000

ros-noetic-test-osm (0.2.1-1buster) buster; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Mon, 23 Sep 2013 23:00:00 -0000

ros-noetic-test-osm (0.2.0-1buster) buster; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Tue, 17 Sep 2013 23:00:00 -0000

ros-noetic-test-osm (0.1.0-1buster) buster; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Sun, 15 Jul 2012 23:00:00 -0000

=== debian/control ===
Source: ros-noetic-test-osm
Section: misc
Priority: optional
Maintainer: Jack O'Quin <jack.oquin@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-geodesy, ros-noetic-geographic-msgs, ros-noetic-osm-cartography, ros-noetic-route-network
Homepage: http://ros.org/wiki/test_osm
Standards-Version: 3.9.2

Package: ros-noetic-test-osm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-geodesy, ros-noetic-geographic-msgs, ros-noetic-osm-cartography, ros-noetic-route-network
Description: These are regression tests for the osm_cartography and route_network packages.
 They are packaged separately to avoid unnecessary implementation dependencies.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-test-osm//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
